=== debian/changelog ===
httpry (0.1.7-3) unstable; urgency=low

  * Separate the init script from the binary package httpry:
    - New package httpry-daemon that contains the init script.
    - httpry-daemon breaks httrpy <= 0.1.7-2.
    - Add a news entry in debian/NEWS.

 -- Janos Guljas <janos@debian.org>  Thu, 08 Nov 2012 23:03:50 +0100

httpry (0.1.7-2) unstable; urgency=low

  * Remove non-existing httpry-daemon package from httpry's Suggests.
  * Only override dh_install for architecture independent packages.

 -- Janos Guljas <janos@debian.org>  Thu, 04 Oct 2012 13:14:26 +0200

httpry (0.1.7-1) unstable; urgency=low

  * Initial release. (Closes: #539665)

 -- Janos Guljas <janos@debian.org>  Wed, 03 Oct 2012 15:41:51 +0200
