=== debian/control ===
Source: httpry
Section: net
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Build-Depends: debhelper (>= 9), libpcap0.8-dev
Standards-Version: 3.9.4
Homepage: http://dumpsterventures.com/jason/httpry/
Vcs-Git: git://git.debian.org/collab-maint/httpry.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/httpry.git

Package: httpry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: httpry-daemon, httpry-tools
Description: HTTP logging and information retrieval tool
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains the httpry executable. Package httpry-daemon contains
 required init script for running httpry as a daemon. Scripts for parsing
 log files are provided by httpry-tools.

Package: httpry-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, httpry (= ${binary:Version})
Description: HTTP logging and information retrieval tool - debug symbols
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains the debug symbols for httpry. Install this package if
 you need to debug such a program or if you need a useful backtrace of a crash.

Package: httpry-daemon
Architecture: all
Depends: ${misc:Depends}, httpry (>= ${source:Version})
Breaks: httpry (<= 0.1.7-2)
Description: HTTP logging and information retrieval tool - daemon
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains required init script to run httpry as a daemon.

Package: httpry-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: HTTP logging and information retrieval tool - log parsing scripts
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains log parsing scripts written in Perl.
