=== debian/watch ===
version=3
http://githubredir.debian.net/github/jbittel/httpry /github/jbittel/httpry/httpry-(.+).tar.gz
