## httpry 0.1.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  httpry - HTTP logging and information retrieval tool
 #  ----------------------------------------------------
 #
-#  Copyright (c) 2005-2012 Jason Bittel <jason.bittel@gmail.com>
+#  Copyright (c) 2005-2014 Jason Bittel <jason.bittel@gmail.com>
 #
 
 CC		= gcc
