=== debian/changelog ===
httpry (0.1.8-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Sat, 15 Nov 2025 10:28:11 -0300

httpry (0.1.8-4) experimental; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright: Update packaging copyright information.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Alfons Andrade <alfons@alunos.utfpr.edu.br>  Tue, 17 Jun 2025 15:00:19 -0300

httpry (0.1.8-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + httpry-tools: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:54:09 +0100

httpry (0.1.8-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Set package maintainer to Debian QA Group.
  * debian/.git-dpm: Dropped, switch to gbp.
  * Apply wrap-and-sort -abst.
  * debian/control: Switch to debhelper-compat.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Update Vcs-* fields.
  * debian/control: Drop manual -dbg package.
  * debian/rules: Enable full hardening.
  * debian/copyright: Use secure URI.
  * debian/watch: Update to v4 format.
  * debian/control: Use secure URI in homepage.
  * debian/httpry-daemon.httpry.{default,init.d}:
    + Always start daemon and discard $ENABLED (lintian error).

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Jan 2022 21:20:22 -0500

httpry (0.1.8-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 14:51:53 +0100

httpry (0.1.8-1) unstable; urgency=medium

  [ Janos Guljas ]
  * New upstream release. (Closes: #762393)
  * Bump Standards-Version (no changes needed).
  * Update debian/watch file.
  * Update debian/copyright file.
  * Depend httpry-daemon on lsb-base (>= 3.0-6).
  * Update Vcs-* fileds in debian/control.

 -- Janos Guljas <janos@debian.org>  Mon, 03 Jul 2017 11:05:02 +0000
