=== debian/control ===
Source: httpry
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 9),
 libpcap0.8-dev,
Standards-Version: 4.7.2
Homepage: https://dumpsterventures.com/jason/httpry/
Vcs-Git: https://salsa.debian.org/debian/httpry.git
Vcs-Browser: https://salsa.debian.org/debian/httpry

Package: httpry
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 httpry-daemon,
 httpry-tools,
Description: HTTP logging and information retrieval tool
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains the httpry executable. Package httpry-daemon contains
 required init script for running httpry as a daemon. Scripts for parsing
 log files are provided by httpry-tools.

Package: httpry-daemon
Architecture: all
Depends:
 httpry (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 ${misc:Depends},
Breaks:
 httpry (<= 0.1.7-2),
Description: HTTP logging and information retrieval tool - daemon
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains required init script to run httpry as a daemon.

Package: httpry-tools
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Multi-Arch: foreign
Description: HTTP logging and information retrieval tool - log parsing scripts
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains log parsing scripts written in Perl.
