=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='httpry-dbg (<< 0.1.8-2~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/httpry

override_dh_install-indep:
	dh_install
	chmod +x debian/httpry-tools/usr/share/httpry/parse_log.pl

override_dh_installdocs:
	dh_installdocs -Xdoc/ChangeLog -Xdoc/COPYING

override_dh_installinit:
	dh_installinit --name=httpry

override_dh_installlogrotate:
	dh_installlogrotate --name=httpry
